# Keep a resource at a level

`POST /resources` · Rivier · workspace

Keep a resource at a level.

- Scope: workspace:write
- Mcp: rivier_personas_resource_add
- Graphql: Mutation.workspaceResourceAdd
- Sdk: workspace.resource.add
- Cli: workspace resource add

## Parameters

- `level` (query, required), string
- `scopeId` (query, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/resources' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
